# QDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QDialog(QWidget parent, WindowFlags f)

### Constructor Properties

- prototype: The QDialog prototype object
- Rejected
- Accepted
- DialogCode( value )

### Prototype Object Properties

The QDialog prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QSize minimumSizeHint()
- int result()
- void setResult(int r)
- void setVisible(bool visible)
- QSize sizeHint()

### Instance Properties

QDialog objects inherit properties from the QDialog prototype object and also have the following properties.

- sizeGripEnabled
- modal